Bug 214730 - Review Request: pungi - Distribution compose tool
Review Request: pungi - Distribution compose tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-08 20:48 EST by Jesse Keating
Modified: 2014-12-23 17:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 09:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-11-08 20:48:07 EST
Spec URL: http://linux.duke.edu/projects/pungi/?f=6e580939b460;file=pungi.spec;style=raw
SRPM URL: http://linux.duke.edu/projects/pungi/release/pungi-0.1.0-1.src.rpm
Description: A tool to create anaconda based installation trees/isos of a set of rpms.

rpmlint complains about non-executable scripts.  I have some code in the python modules that allows them to be executed on their own for testing.
Comment 1 Patrice Dumas 2006-11-09 04:19:32 EST
* name right
* follow packaging guidelines
* match uptream
6fab9b1b9979aa59b9db5880abfe6136  pungi-0.1.0.tar.gz
* sane provides:
Provides: config(pungi) = 0.1.0-1
* specfile simple and legible
* %files section right
* rpmlint says:
E: pungi non-executable-script /usr/lib/python2.4/site-packages/pypungi/pungi.py
0644
E: pungi non-executable-script
/usr/lib/python2.4/site-packages/pypungi/splittree.py 0644
E: pungi non-executable-script
/usr/lib/python2.4/site-packages/pypungi/gather.py 0644

This is ignorable, as you explained above. However wouldn't it make
sense to have wrapper around those scripts, named for example
pungi-gather or the like, wouldn't it make sense to call them
independently?
Comment 2 Patrice Dumas 2006-11-09 04:22:44 EST
The comment about wrappers is not a blocker, so it is

APPROVED
Comment 3 Patrice Dumas 2006-11-09 04:26:55 EST
Maybe you coule let one day for other reviewers to comment on
before importing, such that other people have time to raise concerns.
Comment 4 Jesse Keating 2006-11-09 08:46:21 EST
A wrapper doesn't quite make sense, since these are python modules.  If you
wanted just the functionality of gather, you'd probably use yumdownloader or
repotrack instead, or you'd import the pypungi.gather module into your python
script and use it there.  For pypungi.pungi, there is a bit more of a chance of
wanting to run it standalone, but since it is a module, you can do that (:

Anyconcerns raised can be fixed once I bring it in.

Built for devel, branch for FC-6 requested.
Comment 5 Patrice Dumas 2006-11-09 13:25:35 EST
(In reply to comment #4)
> A wrapper doesn't quite make sense, since these are python modules.  If you
> wanted just the functionality of gather, you'd probably use yumdownloader or
> repotrack instead, or you'd import the pypungi.gather module into your python
> script and use it there.  For pypungi.pungi, there is a bit more of a chance of
> wanting to run it standalone, but since it is a module, you can do that (:

Right.
Comment 6 Patrice Dumas 2006-11-17 09:11:19 EST
Shouldn't this bug be closed now?
Comment 7 Jesse Keating 2006-11-17 09:28:34 EST
Whoops, I was waiting for the push, that happened.
Comment 8 Kevin Fenzi 2006-12-05 22:35:51 EST
Jesse: I don't see this package in owners.list. Can you please add it?

See: 

http://fedoraproject.org/wiki/Extras/Contributors#head-f6f080b4c48fe519c98a29364a740953f90179e7
Comment 10 Troy Dawson 2014-12-22 11:08:24 EST
Package Change Request
======================
Package Name: pungi
New Branches: epel7
Owners: tdawson
Comment 11 Jon Ciesla 2014-12-22 14:35:14 EST
Git done (by process-git-requests).
Comment 12 Dennis Gilmore 2014-12-23 17:45:42 EST
The proper procedure for branching a package for epel has not been followed and the request for the epel7 should never have been approved.

Note You need to log in before you can comment on or make changes to this bug.